from flask_restplus import fields
from pyrest.webservices.timelapse.timelapse import timelapse_api

timelapse_settings = timelapse_api.model('settings', {
    'delay': fields.Integer(required=True, description='The delay to use between the images in the timelapse'),
    'loop': fields.Boolean(required=True, description='Create a looping timelapse')
})

image_model = timelapse_api.model('image', {
    'text': fields.String(required=False, description='Text to be added to the image frame'),
    'url': fields.String(required=True, description='URL of the image to be added')
});

timelapse_model = timelapse_api.model('timelapse', {
    'application': fields.String(required=True, description='Application that requests the GIF export'),
    'language': fields.String(required=True, description='Language to be used on the watermark'),
    'images': fields.List(fields.Nested(image_model), required=True, description='List of images to be used in the timelapse'),
    'settings': fields.Nested(timelapse_settings,  required=True, description='Settings to be used to create the timelapse')
})
